# Campbase Web App

[![style: styled-components](https://img.shields.io/badge/style-%F0%9F%92%85%20styled--components-orange.svg?colorB=daa357&colorA=db748e)](https://github.com/styled-components/styled-components)

Web application for Campbase's Community Managers to manage their communities.

## Stack

This React Native app is built on the following tech

- [TypeScript React Starter](https://github.com/Microsoft/TypeScript-React-Starter)
- [React-Redux](https://github.com/reduxjs/react-redux)
- [Styled Components](https://www.styled-components.com/docs/basics#react-native)

We're using TypeScript. [This guide](https://github.com/piotrwitek/react-redux-typescript-guide) provides comprehensive walkthrough and examples of how to use TypeScript with React & Redux. For the style guide, we're following [AirBnB's React/JSX Style guide](https://github.com/airbnb/javascript/tree/master/react#basic-rules) and use [Prettier](https://github.com/prettier/prettier) for auto-formatting.

## Installation

Make sure you have `Node.js v9.0+` and `yarn` installed, then run:

```
yarn install
```

We recommend [VSCode](https://code.visualstudio.com/) for smooth development experience. Devtools and guide will be added assuming you're using VSCode.

### VSCode Plugins

- [Prettier - Code formatter](https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode)
- [vscode-styled-components](https://marketplace.visualstudio.com/items?itemName=jpoissonnier.vscode-styled-components)

## Development

```
yarn start
```

## Build & Deploy

```
yarn build
```

## Documentation

TBD

## Contribution

Main contributors would be Band Protocol Core development team.
